> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite multiple users by email



## OpenAPI

````yaml post /v1/user/bulk-invite
openapi: 3.0.0
info:
  title: Auth APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/auth
  - url: https://staging.api.eu.aptlydone.com/auth
  - url: https://api.us.aptlydone.com/auth
  - url: https://api.eu.aptlydone.com/auth
security: []
tags: []
paths:
  /v1/user/bulk-invite:
    post:
      tags:
        - users
      summary: Invite multiple users by email
      operationId: UserController_bulkInviteUsers_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkUserInviteRequestDto'
      responses:
        '201':
          description: Users invited successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkUserInviteResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    BulkUserInviteRequestDto:
      type: object
      properties:
        tenantId:
          type: string
          description: Tenant ID
          example: 887fd99a-e3ab-44ac-8253-31f269599f2b
        users:
          description: Array of users to invite
          type: array
          items:
            $ref: '#/components/schemas/UserInviteDto'
      required:
        - tenantId
        - users
    BulkUserInviteResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:10:12.337Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/BulkUserInviteResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    UserInviteDto:
      type: object
      properties:
        firstName:
          type: string
          example: Rowan
          description: User first name
          maxLength: 50
        lastName:
          type: string
          example: Kihn
          description: User last name
          maxLength: 50
        displayName:
          type: string
          example: Tyler Christiansen
          description: User display name
          maxLength: 50
        email:
          type: string
          format: email
          example: Ollie.Kling@yahoo.com
          description: User email address
        mobilePhone:
          type: string
          pattern: /^[+()0-9.\s-]{7,25}$/
          example: +1 (555) 123-4567
          description: Mobile phone
          maxLength: 25
        roleIds:
          example:
            - 476412b3-b02e-42be-acb8-8fc2b846d16f
          description: Array of role IDs
          type: array
          items:
            type: string
        groups:
          description: User groups
          example:
            - groupId: 1b73b9b9-1ba6-4a3a-8b69-62be5bdba90f
              isPrimaryOrg: true
          type: array
          items:
            $ref: '#/components/schemas/GroupUpdateEntitiesDto'
        managerId:
          type: string
          format: uuid
          example: 517779ff-e242-40a2-8d27-bc2bd5eb3b1c
          description: Manager ID
        positionIds:
          example:
            - 4d7ba117-6706-4518-be4b-6df1b16eb655
          description: Array of position IDs
          type: array
          items:
            type: string
            format: uuid
        employeeId:
          type: string
          maxLength: 50
          example: 39c0Fq0iVi
          description: Employee ID
        employeeNumber:
          type: string
          maxLength: 50
          example: i731WPuGeA
          description: Employee Number
        employeeType:
          type: string
          maxLength: 20
          example: Full-time
          description: Employee Type
        employmentType:
          type: string
          maxLength: 20
          example: Permanent
          description: Employment Type
        sourceId:
          type: string
          maxLength: 100
          example: tsXqD3vLNgFgLBwUPC4q
          description: Source ID
        actorType:
          type: string
          maxLength: 50
          example: OefUITzURw
          description: Actor type
        aiAgentType:
          type: string
          maxLength: 50
          example: GMWanEoiouGxZps
          description: AI agent type
        startDate:
          format: date-time
          type: string
          example: '2025-04-19T23:48:44.300Z'
          description: Start date
        terminationDate:
          format: date-time
          type: string
          example: '2026-07-25T15:03:13.226Z'
          description: Termination date
        customAttributes:
          type: object
          example:
            department: Engineering
            level: Senior
          description: Custom attributes as JSON object
        existingUser:
          type: object
      required:
        - email
    BulkUserInviteResponseDto:
      type: object
      properties:
        total:
          type: number
          description: Total number of users processed for invitation
          example: 10
        successful:
          type: number
          description: Number of users successfully invited
          example: 8
        failed:
          type: number
          description: Number of users that failed to be invited
          example: 2
        results:
          type: array
          items:
            type: object
            properties:
              email:
                type: string
              success:
                type: boolean
              message:
                type: string
            required:
              - email
              - success
              - message
      required:
        - total
        - successful
        - failed
        - results
    GroupUpdateEntitiesDto:
      type: object
      properties:
        groupId:
          type: string
          format: uuid
          example: 1d1bfc12-b7b6-4a26-be52-33a5b50ff801
          description: Group ID
        isPrimaryOrg:
          type: boolean
          example: true
          description: Is primary group
      required:
        - groupId
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````